> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Add custom property values

> Allows you to specify the values for a custom property.

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="project_id" type="string" required>
  The unique identifier of the project.
</ParamField>

<ParamField path="work_item_id" type="string" required>
  The unique identifier for the work item.
</ParamField>

<ParamField path="property_id" type="string" required>The unique identifier for the custom property.</ParamField>

## Body parameters

<ParamField body="value" type="string | boolean | number | string[]" required>
  The value type depends on the property type:

  * TEXT/URL/EMAIL/FILE: string
  * DATETIME: string (YYYY-MM-DD or YYYY-MM-DD HH:MM:SS)
  * DECIMAL: number (int or float)
  * BOOLEAN: boolean (true/false)
  * OPTION/RELATION (single): string (UUID)
  * OPTION/RELATION (multi, when is\_multi=True): list of strings (UUIDs) or single string

  For multi-value properties (is\_multi=True):

  * Accept either a single UUID string or a list of UUID strings
  * Multiple records are created
  * Response will be a list of values

  For single-value properties:

  * Only one value is allowed per work item/property combination
</ParamField>
